View Issue Details

IDProjectCategoryView StatusLast Update
0003933Simple:Presspermalinkspublic2017-07-11 01:58
ReporterYellow SwordfishAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.3.1 
Target Version5.8Fixed in Version5.8 
Summary0003933: Allow for sub-forums to have a parent/subforum permalink
Descriptionif it can be done... although one problem is mutiple nesting levels...
TagsNo tags attached.
change_log_textallow subforums to have their own slugs in the permalink
typenew feature

Activities

Mr Papa

Mr Papa

2016-02-20 07:27

administrator   ~0017410

would like to still consider this... or at least see if possible...
Mr Papa

Mr Papa

2016-06-06 02:43

administrator   ~0017943

after quick look, think this is possible... though, not clear how to do - needs better regex for recognizing this.. and how to prioritize if subforum and topic have same name... but should be able to learn from how wp does pages and child pages and so forth...

probably should go in the application update list...
svn

svn

2017-01-14 03:56

administrator   ~0019039

Changeset [15035] by steve on 2017-01-13 22:56:23 -0500 (Fri, 13 Jan 2017)

see issue 0003933 allow subforums to have their own slugs in the permalink

Seems working! needs testing... plus better if we could cache the forum ancestor relationships to reduce queries

 Changed Files:

U trunk/sp-api/sp-api-class-spcpermalinks.php
U trunk/sp-api/sp-api-class-spcrewrites.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15035
svn

svn

2017-01-14 20:42

administrator   ~0019041

Changeset [15037] by steve on 2017-01-14 15:42:48 -0500 (Sat, 14 Jan 2017)

test issue 0003933 allow subforums to have their slug be in the permalink

 Changed Files:

U trunk/admin/library/spa-support.php
U trunk/admin/panel-forums/support/spa-forums-save.php
U trunk/sp-api/sp-api-class-spcpermalinks.php
U trunk/sp-control.php
U trunk/sp-startup/install/sp-install.php
U trunk/sp-startup/install/sp-upgrade.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15037
Mr Papa

Mr Papa

2017-01-16 15:14

administrator   ~0019064

still need to do default permalinks... donnt want to forget...
svn

svn

2017-01-22 02:33

administrator   ~0019075

Changeset [15065] by steve on 2017-01-21 21:33:24 -0500 (Sat, 21 Jan 2017)

test issue 0003933 handle default permalinks for multiple subforum permalinks

 Changed Files:

U trunk/sp-api/sp-api-class-spcrewrites.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15065

Issue History

Date Modified Username Field Change
2013-09-06 17:20 Yellow Swordfish New Issue
2013-09-27 19:40 Mr Papa Target Version 5.3.2 => Future Release
2016-02-17 11:37 Yellow Swordfish Target Version Future Release => The Junkyard
2016-02-20 07:27 Mr Papa Change Log Text => update
2016-02-20 07:27 Mr Papa Note Added: 0017410
2016-02-20 07:27 Mr Papa Target Version The Junkyard => 5.6.6
2016-05-06 19:05 Mr Papa Target Version 5.6.6 => 5.6.7
2016-05-20 21:48 Mr Papa Target Version 5.6.7 => 5.6.8
2016-06-06 02:43 Mr Papa Note Added: 0017943
2016-07-12 00:21 Mr Papa Target Version 5.6.8 => 5.7
2016-07-16 14:48 Mr Papa Target Version 5.7 => 5.7.1
2016-08-20 15:29 Mr Papa Target Version 5.7.1 => 5.7.2
2016-10-01 08:04 Yellow Swordfish Target Version 5.7.2 => 5.7.3
2016-10-09 03:20 Mr Papa Target Version 5.7.3 => 6.0
2017-01-09 04:37 Mr Papa Assigned To => Mr Papa
2017-01-09 04:37 Mr Papa Status new => assigned
2017-01-14 03:56 svn =>
2017-01-14 03:56 svn Note Added: 0019039
2017-01-14 20:42 svn =>
2017-01-14 20:42 svn Note Added: 0019041
2017-01-14 20:42 svn Status assigned => testing
2017-01-16 15:14 Mr Papa Status testing => rework
2017-01-16 15:14 Mr Papa Note Added: 0019064
2017-01-22 02:33 svn =>
2017-01-22 02:33 svn Note Added: 0019075
2017-01-22 02:33 svn Status rework => testing
2017-02-04 17:14 Mr Papa Status testing => closed
2017-02-04 17:14 Mr Papa Resolution open => fixed
2017-02-04 17:14 Mr Papa Fixed in Version => 6.0
2017-02-04 17:14 Mr Papa change_log_text update => allow subforums to have their own slugs in the permalink
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8